跳转到主要内容
POST
/
space
/
{spaceId}
/
reward
/
claim
cURL
curl --request POST \
  --url https://app.teable.ai/api/space/%7BspaceId%7D/reward/claim \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"sourceType":"socialShare","sourceMetaData":{"platform":"x","postUrl":"string","postId":"string","snapshotId":"string","content":"string","username":"string","followerCount":0,"verifyResult":{"isValid":true,"errors":[{"message":"string","localization":{"i18nKey":"string","context":{"property1":null,"property2":null}}}]}}}'
{
  "id": "<string>",
  "rewardStatus": "pending"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

spaceId
string
必填

请求体

application/json
sourceType
enum<string>
必填
可用选项:
socialShare
sourceMetaData
object
必填

响应

201 - application/json

Reward claim submitted successfully

id
string
必填
rewardStatus
enum<string>
必填
可用选项:
pending,
approved,
rejected
Last modified on March 5, 2026